# meds/plugs/status.py
#
#

""" runtime information. """

from meds.utils.cli import list_eggs
from meds.utils.tijd import elapsed
from meds.utils.getters import look
from meds.utils.name import name
from meds.kernel import kernel
from meds.object import Object
from meds.cfg import cfg

from meds import __version__

import time
import ast
import os

def uptime(event): event.reply("uptime is %s" % elapsed(time.time() - kernel._start))

def version(event): event.reply("MEDS #%s" % __version__)

def pid(event): event.reply(str(os.getpid()))

psformat = "%-2s %-6s %-25s %s %s %s"


def ps(event):
    res = []
    nr = 1
    for thr in sorted(kernel.running(), key=lambda x: repr(x)):
        obj = Object() 
        obj.update(vars(thr))
        try: obj = obj.__class__.__self__
        except: pass
        if "sleep" in obj: next = int(obj.sleep) - int(time.time() - int(obj._last))
        else: next = 0
        thrname = name(thr)
        try: stxt = obj._status.strip()
        except: stxt = ""
        try: etxt = obj._error.strip()
        except: etxt = ""
        try: uptime = elapsed(int(time.time()) - int(obj._start))
        except: uptime = ""
        txt = psformat % (nr, elapsed(next), thrname, stxt, uptime, etxt )
        res.append((next, txt))
        nr += 1
    for next, txt in sorted(res, key=lambda x: float(x[0]), reverse=True): event.reply(txt)
    if nr == 1: event.reply("no tasks running.")
