# clock.py
#
#

""" timer, repeater and other clock based classes. """

from meds.utils.tijd import today, get_hour, to_day, day
from meds.kernel import kernel
from meds.event import Event
from meds.clock import Timer

import time

def timer(event):
    if not event.rest: return
    seconds = 0
    for word in event.args:
        if word.startswith("+"):
             try: seconds = int(word[1:])
             except: event.reply("%s is not an integer" % seconds) ; return
    if not seconds:
        target = to_day(event.rest)
        if not target:
            hour = get_hour(event.rest)
            if hour:  target = to_day(day()) + hour
        if not target or time.time() > target: event.reply("already passed given time.") ; return
    else: target = time.time() + seconds
    e = Event()
    e.services = "clock"
    e.prefix = "timer"
    e.txt = event.rest
    e.time = target
    e.done = False
    e.save()
    timer = Timer(target, e.announce, e.txt)
    kernel.launch(timer.start)
    e.ok(time.ctime(target))
