# meds/scheduler.py
#
#

""" the schaeduler. """

from meds.utils.name import name
from meds.errors import EDISCONNECT, ENOTIMPLEMENTED
from meds.object import Object

import logging
import queue
import time

class Scheduler(Object):

    """ schedules events. """

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self._queue = queue.Queue()
        self._status = "init"
        self._start = time.time()

    def dispatch(self, event):
        from meds.kernel import kernel
        return kernel.dispatch(event)

    def event(self): return self._queue.get()

    def start(self): 
        logging.warn("# start %s" % name(self))
        self._status = "running" 
        while self._status:
            try:
                event = self.event()
                if not event or not self._status: break
                self.dispatch(event)
                self._nr += 1
            except (ConnectionResetError, EDISCONNECT): self._nrconnect += 1 ; time.sleep(self._nrconnect * 60) ; self.connecting() ; continue
            except (EOFError, KeyboardInterrupt): raise
        logging.warn("# stop %s" % self.type)

    def stop(self):
        self._status = ""
        self._queue.put_nowait(None)

    def put(self, event):
        logging.info("! put %s" % event.txt or event.cmnd)
        if not event.parsed: event.parse()
        self._queue.put_nowait(event)
        if self._status == "init":
            from meds.kernel import kernel
            thr = kernel.launch(self.start, name=event.cmnd)
