#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1144',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description='Mishandeling gepleegd door toediening van voor het leven of de gezondheid schadelijke stoffen.',
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["feedparser==5.2.1","beautifulsoup4", "sleekxmpp"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-sed", "bin/meds-docs", "bin/meds-cleandocs", "bin/meds-do", "bin/meds-local", "bin/meds-test", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.plugs',
              'meds.run',
              'meds.utils'
             ],
    long_description="""

STRAFBAAR
=========

Behandelen met antipsychotica is strafbaar:

1) omdat antipsychotica receptoren BLOKKEREN en dat dat benadeling van de gezondheid is.
2) omdat het Wetboek van Strafrecht zegt dat mishandeling is gelijkgesteld aan opzettelijke benadeling van de gezondheid.
3) omdat de arts de medicijnen toedient om de receptoren te blokkeren is er sprake van opzet.
4) omdat hiermee de arts schuldig is aan mishandeling.

Wetboek van Strafrecht:

1) 300 4. Met mishandeling wordt gelijkgesteld opzettelijke benadeling van de gezondheid.
2) 303 1. Zware mishandeling gepleegd met voorbedachten rade wordt gestraft met gevangenisstraf van ten hoogste twaalf jaren of geldboete van de vijfde categorie.
3) 303 2. Indien het feit de dood ten gevolge heeft, wordt de schuldig gestraft met gevangenisstraf van ten hoogste vijftien jaren of geldboete van de vijfde categorie.
4) 304 3. indien het misdrijf wordt gepleegd door toediening van voor het leven of de gezondheid schadelijke stoffen.

De hedendaagse theorie is dat een mens die hallucineert dat doet omdat hij
teveel dopamine in zijn hersenen heeft. Een arts probeert de werking van
dopamine in de hersenen te blokkeren door antipsychotica te geven, een stof
die de dopamine receptoren op de zenuwcellen blokkeert zodat dopamine zijn
werking niet meer kan doen. Het blokkeren van de receptoren is de wil van de
arts, het is hoe de arts de problematiek van het hallucineren denkt te kunnen
aanpakken. Daarom is er ook sprake van opzet, het is de arts zijn bedoeling om
schade toe te brengen aan de hersenen. Daarom is het ook mishandeling en dient 
het vervolgt te worden. Antipsychotica doen een mens geen goed, ze verminderen 
hoogstens symptomen maar de schade die ze toebrengen is reeel en intentioneel.

LEVENSGEVAARLIJK
================

Behandelen met antipsychotica is levensgevaarlijk:

1) omdat het blokkeren van receptoren een mens vergiftigt.
2) omdat, zolang een arts de bloedspiegel van een medicijn niet meet, de toestand van vergiftiging niet word opgeheven.
3) omdat deze toestand de kans op overlijden geeft.
4) omdat men er ook werkelijk aan dood gaat als noodzakelijke verpleging niet aanwezig is (om medicijnen snel af te bouwen).

In Nederland word je naar huis gestuurd met deze schadelijke medicijnen en
moet je zelf aan de bel trekken als je last krijgt van bijwerkingen. Je moet
zelf ook de mate en ernst van de vergiftigingssymptomen bijhouden en als de arts
niet besluit de dosering te verminderen word de vergiftiging steeds erger.
Dit resulteert in levengevaarlijke situaties, situaties waarin men de dood vind,
of door suicide of door lichamelijk disfunctioneren.

ZORG
====

Deze mishandeling is onderdeel van de volgende "zorg":

a) een interventie, bestaande uit een vorm van verzorging, bejegening, behandeling, begeleiding of bescherming;
b) toediening van medicatie, vocht en voeding, regelmatige medische controle of andere medische handelingen;
c) pedagogische of therapeutische maatregelen;
d) opname in een accommodatie;
e) beperking van de bewegingsvrijheid;
f) afzondering of separatie in een daartoe geschikte verblijfsruimte;
g) beperking van het recht op het ontvangen van bezoek of het gebruik van communicatiemiddelen;
h) toezicht op betrokkene;
i) onderzoek aan kleding of lichaam;
j) controle op de aanwezigheid van gedrag beïnvloedende middelen;
k) beperkingen in de vrijheid het eigen leven in te richten, die tot gevolg hebben dat betrokkene iets moet doen of nalaten.

NIET PREVENTIEF
===============

Maandblad Geestelijke Gezondheid - Jaargang 67 (2012) Nummer 6 - pagina 319-327

“Patiënten die (F)ACT krijgen blijven langer in zorg, maar het aantal opnamedagen neemt nauwelijks af. (F)ACT lijkt wel samen te gaan met minder psychopathologie en beter functioneren, al is oorzakelijkheid altijd moeilijk aan te tonen. Niet alle (F)ACT-patiënten blijven voor eeuwig in (F)ACT. De patiëntengroep die het langst in ACT blijft, is een andere groep met meer problemen dan patiënten die voor kortere duur ACT krijgen.” - Marjan Drukker, Ellen Visser, Hans Kortrijk, Wijnand Laan, Hugo Smeets & Jim van Os

(F)ACT verlaagt niet de vraag naar opnames:

1) Wijkteams werken niet met eigen (wijkgerichte) crisis teams. Tussen kantooruren en in de weekenden is er geen personeel wat de patient te woord kan staan.
2) Doordat de nieuwe methode niet op lokaal niveau de 7x24 uurs dienst verzorgt, is er geen preventieve werking wat betreft ziekenhuisopnames.
3) De patienten afhankelijk van deze methode worden niet preventief beschermt tegen ziekenhuis opname.
4) Hierdoor is het risico op suicide groter dan verantwoord en vallen er dus slachtoffers.

""",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
